//
// C++ Implementation: calcjob
//
// Description: 
//
//
// Author: Werner Stille <stille@uni-freiburg.de>, (C) 2015
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef NAN
#include <stdlib.h>
#endif
#include "calcjob.h"
#include "frameitem.h"

CalcJob::CalcJob(const double* x, double* values,
                 double (*func)(double, const double*), const double* par,
                 int n, QObject* parent) :
 Job(parent), m_t(x), m_par(par), m_values(values), m_func(func), m_n(n)
{
}

CalcJob::~CalcJob()
{
}

void CalcJob::run()
{
  for (int i = 0; i < m_n; ++i)
    m_values[i] = FrameItem::valid(m_t[i]) ? ((*m_func)(m_t[i], m_par)) :
#ifdef NAN
      NAN;
#else
      atof("nan");
#endif
}
