//
// C++ Interface: calcjob
//
// Description: 
//
//
// Author: Werner Stille <stille@uni-freiburg.de>, (C) 2015
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef CALCJOB_H
#define CALCJOB_H

#include <ThreadWeaver/Job>

using namespace ThreadWeaver;

/**
  * Calculation job class. Class for calculation of function value tables by
  * multithreading.
  * @author Werner Stille
  */
class CalcJob : public Job
{
public:
  /**
    * Constructor.
    * @param x array with argument values.
    * @param values array for function values.
    * @param func function.
    * @param par parameter array.
    * @param n number of values.
    * @param parent pointer to parent QObject.
    */
  CalcJob(const double* x, double* values,
          double (*func)(double, const double*), const double* par, int n,
          QObject* parent = 0);
  /** Destructor. */
  ~CalcJob();

protected:
  /** Calculates function values. */
  void run();
  const double *m_t, *m_par;
  double* m_values;
  double (*m_func)(double, const double*);
  int m_n;
};

#endif
