//
// C++ Implementation: movejob
//
// Description: 
//
//
// Author: Werner Stille <stille@uni-freiburg.de>, (C) 2015
//
// Copyright: See COPYING file that comes with this distribution
//
//

#include <QFile>
#include <KIO/Job>
#include <KIO/JobUiDelegate>
#include <KIO/NetAccess>
#include "movejob.h"

MoveJob::MoveJob(const QString& src, const KUrl& dest)
{
  connect(KIO::file_move(src, dest, -1, KIO::Overwrite),
          SIGNAL(result(KJob*)), this, SLOT(slotIOfinished(KJob*)));
}

MoveJob::~MoveJob()
{
}

void MoveJob::slotIOfinished(KJob* job)
{
  if (job) {
    if (job->error()) {
      KIO::FileCopyJob* copyJob = static_cast<KIO::FileCopyJob*>(job);
      copyJob->ui()->showErrorMessage();
      QFile::remove(copyJob->srcUrl().path());
    }
  }
  deleteLater();
}
