//
// C++ Interface: movejob
//
// Description: 
//
//
// Author: Werner Stille <tille@uni-freiburg.de>, (C) 2015
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef MOVEJOB_H
#define MOVEJOB_H

#include <QObject>
#include <KUrl>
#include <kdemacros.h>

class KJob;

/**
  * Move job class. Moves temporary file  asynchronously to remote location.
  */
class KDE_EXPORT MoveJob : public QObject
{
  Q_OBJECT
public:
  /**
   * Constructor. Copies temporary file  asynchronously to destination.
   * Temporary file is removed after finishing.
   * @param src temporary source file.
   * @param dest destination.
   */
  MoveJob(const QString& src, const KUrl& dest);
  /** Destructor. */
  ~MoveJob();

protected slots:
  /** Handles errors, deletes temporary file and calls destructor. */
  void slotIOfinished(KJob*);
};

#endif
