/***************************************************************************
                          vectoritem.cpp  -  description
                             -------------------

    This file is a part of kpl - a program for graphical presentation of
    data sets and functions.

    begin                : Wed Aug 25 1999
    copyright            : (C) 2015 by Werner Stille
    email                : stille@uni-freiburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <KConfigGroup>
#include "vectoritem.h"

VectorItem::VectorItem(unsigned color, double x, double y, double length,
                       double dir, double relSize) :
 DecoItem(color, x, y, relSize), m_length(length), m_dir(dir)
{
}

VectorItem::VectorItem(const KConfigGroup* plo, unsigned color) :
 DecoItem(plo, color)
{
  m_dir = plo->readEntry("dir", 0.0);
  m_length = plo->readEntry("len", 1.0);
}

VectorItem::~VectorItem()
{
}

void VectorItem::writePlo(KConfigGroup* plo, bool visible) const
{
  DecoItem::writePlo(plo, visible);
  plo->writeEntry("dir", m_dir);
  plo->writeEntry("len", m_length);
}
