/***************************************************************************
                          editdlg.cpp  -  description
                             -------------------
    begin                : Tue Jul 24 2001
    copyright            : (C) 2015 by Werner Stille
    email                : stille@uni-freiburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <QLayout>
#include <QTextEdit>
#include <KLocalizedString>
#include "editdlg.h"

EditDlg::EditDlg(QWidget* parent, QString* str, int ts) :
 KDialog(parent), s(str)
{
  setCaption(i18n("Edit"));
  setButtons(Ok | Apply | Cancel);
  QWidget* page = new QWidget;
  setMainWidget(page);
  QVBoxLayout* vbox = new QVBoxLayout(page);
  vbox->setSpacing(spacingHint());
  vbox->addWidget(edit = new QTextEdit);
  if (ts)
    edit->setTabStopWidth(ts * edit->fontMetrics().width(QChar('0')));
  edit->setPlainText(*s);
  resize(260, 260);
  enableButtonApply(false);
  enableButtonOk(false);
  connect(edit, SIGNAL(textChanged()), SLOT(slotEdited()));
}

EditDlg::~EditDlg()
{
}

void EditDlg::slotButtonClicked(int button)
{
  switch (button) {
    case Apply:
      enableButtonApply(false);
      enableButtonOk(false);
    case Ok:
      *s = edit->toPlainText();
      if (button == Ok)
        accept();
      else
        emit applyClicked();
      break;
    default:
      KDialog::slotButtonClicked(button);
  }
}

void EditDlg::slotEdited()
{
  enableButtonApply(true);
  enableButtonOk(true);
}
