/***************************************************************************
                          main.cpp  -  description
                             -------------------

    This file is a part of kpl - a program for graphical presentation of
    data sets and functions.

    begin                : Sat Apr 24 15:14:00 MEST 1999

    copyright            : (C) 2015 by Werner Stille
    email                : stille@uni-freiburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <QLocale>
#include <KAboutData>
#include <KApplication>
#include <KCmdLineArgs>
#include <KLocalizedString>
#include "kpl.h"

static const char* description =
  I18N_NOOP("An application for plotting of data sets and functions");

int main(int argc, char* argv[])
{
  QLocale::setDefault(QLocale::c());
  KAboutData aboutData("kpl", 0, ki18n("Kpl"), "4.1",
                       ki18n(description), KAboutData::License_GPL,
                       ki18n("(c) 2015, Werner Stille"), KLocalizedString(), 0,
                       "stille@uni-freiburg.de");
  aboutData.addAuthor(ki18n("Werner Stille"), KLocalizedString(),
                      "stille@uni-freiburg.de");
  KCmdLineArgs::init(argc, argv, &aboutData);
  KCmdLineOptions options;
  options.add("+[URL]", ki18n("Document to open"));
  KCmdLineArgs::addCmdLineOptions(options);
  KApplication app;
  KGlobal::locale()->insertCatalog("libkpl");
  if (app.isSessionRestored())
    kRestoreMainWindows<Kpl>();
  else {
    KCmdLineArgs* args = KCmdLineArgs::parsedArgs();
    Kpl* kpl = new Kpl;
    if (args->count()) {
      KUrl::List urls;
      for (int i = 0; i < args->count(); i++)
        urls.append(args->url(i));
        kpl->openList(&urls, ArrayItem::Settings, 0);
    }
    kpl->show();
    args->clear();
  }
  return app.exec();
}
