//
// C++ Implementation: newitemdlg
//
// Description: 
//
//
// Author: Werner Stille <stille@uni-freiburg.de>, (C) 2015
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include <QButtonGroup>
#include <QGroupBox>
#include <QLayout>
#include <QPushButton>
#include <KLocalizedString>
#include "kplitem.h"
#include "newitemdlg.h"

NewItemDlg::NewItemDlg(QWidget* parent, int* type, const QPoint& pos) :
 KDialog(parent), m_type(type), iPos(0), maxWidth(0)

{
  setCaption(i18n("New item"));
  setButtons(Help | Cancel);
  setButtonFocus(Cancel);
  QWidget* page = new QWidget;
  setMainWidget(page);
  QVBoxLayout* vbox = new QVBoxLayout(page);
  vbox->setSpacing(spacingHint());
  vbox->addWidget(g = new QGroupBox);
  bg = new QButtonGroup(g);
  g->setLayout(grid = new QGridLayout);
  addButton(i18n("Frame"), KplItem::Frame);
  addButton(i18n("Array"), KplItem::Array);
  addButton(i18n("Function"), KplItem::Function);
  addButton(i18n("Parametric Function"), KplItem::ParFunction);
  addButton(i18n("Spline"), KplItem::Spline);
  addButton(i18n("3D Array"), KplItem::Array3D);
  addButton(i18n("3D Function"), KplItem::Function3D);
  addButton(i18n("Image"), KplItem::Image);
  addButton(i18n("Legend"), KplItem::Legend);
  addButton(i18n("Text"), KplItem::Text);
  addButton(i18n("Line"), KplItem::Line);
  addButton(i18n("Arrow"), KplItem::Arrow);
  addButton(i18n("Arc"), KplItem::Arc);
  addButton(i18n("Rectangle"), KplItem::Rectangle);
  addButton(i18n("Ellipse"), KplItem::Ellipse);
  addButton(i18n("Scale Bar"), KplItem::ScaleBar);
  setHelp("SEC-NEWITEM");
  connect(bg, SIGNAL(buttonClicked(int)), SLOT(slotClicked(int)));
  resize(2 * (maxWidth + marginHint() + 22) + spacingHint(), 100);
  move(pos);
}

NewItemDlg::~NewItemDlg()
{
}

void NewItemDlg::slotClicked(int id)
{
  *m_type = id;
  accept();
}

void NewItemDlg::addButton(const QString& text, int id)
{
  QPushButton* b;
  grid->addWidget(b = new QPushButton(text, g), iPos % 8, iPos / 8);
  maxWidth = qMax(maxWidth, b->sizeHint().width());
  bg->addButton(b, id);
  iPos++;
}
