//
// C++ Interface: newitemdlg
//
// Description: 
//
//
// Author: Werner Stille <stille@uni-freiburg.de>, (C) 2015
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef NEWITEMDLG_H
#define NEWITEMDLG_H

#include <KDialog>

class QButtonGroup;
class QGridLayout;
class QGroupBox;

/**
  * New item dialog class.
  * Provides a dialog to choose the type of a new item.
  * @author Werner Stille
  */
class NewItemDlg : public KDialog
{
  Q_OBJECT
public:
  /**
   * Constructor.
   * @param parent pointer to parent widget.
   * @param type pointer to chosen plot item type.
   * @param pos dialog position.
   */
  NewItemDlg(QWidget* parent, int* type, const QPoint& pos = QPoint());
  /** Destructor. */
  ~NewItemDlg();

protected slots:
  /**
   * Accepts selection and leaves the dialog.
   * @param id chosen plot item type.
   */
  void slotClicked(int id);

protected:
  /**
   * Adds pushbutton for item type selection.
   * @param text button text.
   * @param id chosen plot item type.
   */
  void addButton(const QString& text, int id);
  QGridLayout* grid;
  QGroupBox* g;
  QButtonGroup* bg;
  int* m_type;
  int iPos, maxWidth;
};

#endif
