/***************************************************************************
                          residualsdlg.h  -  description
                             -------------------
    begin                : Sun Jul 15 2001
    copyright            : (C) 2015 by Werner Stille
    email                : stille@uni-freiburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef RESIDUALSDLG_H
#define RESIDUALSDLG_H

#include <KDialog>

class KplScene;

/**
  * Residuals dialog class. Dialog to show a plot of parameter fit residuals.
  * @author Werner Stille
  */
class ResidualsDlg : public KDialog
{
   Q_OBJECT
public:
  /**
    * Constructor.
    * @param scene pointer to graphics scene.
    * @param parent parent widget.
    */
  ResidualsDlg(KplScene* scene, QWidget* parent);
  /** Destructor. */
  ~ResidualsDlg();

protected slots:
  /** Reimplemented from KDialog. */
  virtual void slotButtonClicked(int button);

protected:
  KplScene* scene;
};

#endif
