/***************************************************************************
                          sourcewidget.cpp  -  description
                             -------------------
    begin                : Sun Apr 16 2000
    copyright            : (C) 2015 by Werner Stille
    email                : stille@uni-freiburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <QFile>
#include <QScrollBar>
#include <QTextStream>
#include <KGlobalSettings>
#include "sourcewidget.h"

SourceWidget::SourceWidget(QFile* f, QWidget* parent) :
 QTextEdit(parent)
{
  setFont(KGlobalSettings::fixedFont());
  setReadOnly(true);
  setUndoRedoEnabled(false);
  setLineWrapMode(NoWrap);
  if (f)
    fill(f);
}

SourceWidget::~SourceWidget()
{
}

void SourceWidget::fill(QFile* f)
{
  clear();
  append(QTextStream(f).readAll());
  f->close();
}

void SourceWidget::highlight(const QString& func)
{
  if (func.isEmpty())
    return;
  QTextCursor tc = textCursor();
  tc.setPosition(0);
  setTextCursor(tc);
  if (find(QString(" ") + func + "(double")) {
    tc = textCursor();
    tc.movePosition(QTextCursor::StartOfLine);
    setTextCursor(tc);
    find(func);
    horizontalScrollBar()->setValue(0);
    verticalScrollBar()->setValue(verticalScrollBar()->value() + 100);
  }
}
