/***************************************************************************
                          textdlg.h  -  description
                             -------------------
    begin                : Wed Apr 18 2001
    copyright            : (C) 2015 by Werner Stille
    email                : stille@uni-freiburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef TEXTDLG_H
#define TEXTDLG_H

#include "decodlg.h"

class QLineEdit;
class QComboBox;
class QDoubleSpinBox;
class TextItem;

/**
  * Text settings dialog class. Provides a dialog for the settings
  * of a text decoration item.
  * @author Werner Stille
  */
class TextDlg : public DecoDlg
{
  Q_OBJECT
public:
  /**
   * Constructor.
   * @param parent pointer to parent widget.
   * @param model pointer to KplDoc model object.
   * @param ti pointer to text item.
   * @param pos dialog position.
   */
  TextDlg(QWidget* parent, KplDoc* model, TextItem* ti, const QPoint& pos);
  /** Destructor. */
  ~TextDlg();

protected:
  TextItem* ti;
  QDoubleSpinBox* eDir;
  QLineEdit* eText;
  QComboBox* eAlign;

protected slots:
  /** Reimplemented from KDialog. */
  virtual void slotButtonClicked(int button);
  /** Displays dialog to edit text. */
  void slotEditText();
};

#endif
